from pydantic import BaseModel
from typing import Optional


class ShopBase(BaseModel):
    name: str
    description: Optional[str] = None


class ShopCreate(ShopBase):
    owner_id: int


class ShopRead(ShopBase):
    id: int
    owner_id: int
    address: str
    image_url: Optional[str] = None

    class Config:
        orm_mode = True


class ShopUpdate(ShopBase):
    name: Optional[str] = None
    description: Optional[str] = None
